summaryrefslogtreecommitdiff
path: root/tests/output9.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2003-11-17 00:33:43 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2003-11-17 00:33:43 +0000
commit720cf06a033f8980f9eca4572aa33cfad73c5413 (patch)
tree5c5e3be7f6568336111d9376be86186c10ee1a4f /tests/output9.test
parentec7c81d0d786b683726c243ae3eef33e76cac841 (diff)
downloadautomake-720cf06a033f8980f9eca4572aa33cfad73c5413.tar.gz
* automake.in (ac_config_files_location): Declare as a hash.
(handle_configure): Rewrite the computation of AC_CONFIG_FILES dependencies; make sure we don't use $(srcdir) or $(top_srcdir) for inputs which are also outputs, and do not check inputs relatively to the current directory. (scan_autoconf_config_files): Take $where as argument, and fill $ac_config_files_location. * tests/output8.test, tests/output9.test: New files. * tests/Makefile.am (TESTS): Add output8.test and output9.test. Report from Bruno Haible.
Diffstat (limited to 'tests/output9.test')
-rwxr-xr-xtests/output9.test58
1 files changed, 58 insertions, 0 deletions
diff --git a/tests/output9.test b/tests/output9.test
new file mode 100755
index 000000000..d2f4e907b
--- /dev/null
+++ b/tests/output9.test
@@ -0,0 +1,58 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure an AC_CONFIG_FILES can have an AC_CONFIG_FILES output as input.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << END
+AC_CONFIG_FILES([a/mid.in:a/input.in.in])
+AC_CONFIG_FILES([b/out:a/mid.in])
+AC_CONFIG_FILES([a/Makefile b/Makefile])
+AC_OUTPUT
+END
+
+mkdir a
+mkdir b
+
+
+cat >Makefile.am <<\EOF
+SUBDIRS = a b
+dist-hook:
+ test -f $(distdir)/a/input.in.in
+ test ! -f $(distdir)/a/mid.in
+ if test ! -f check; then :; else : > ok; fi
+EOF
+
+: >a/Makefile.am
+: >b/Makefile.am
+
+echo foo >a/input.in.in
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+./configure
+: > check
+$MAKE distcheck
+test -f ok